Bug 851177 - Changing launch-time parameters makes no effect for deployed instance.
Changing launch-time parameters makes no effect for deployed instance.
Status: ASSIGNED
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Sedovic
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 08:19 EDT by Milan Falešník
Modified: 2015-01-07 19:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Images of the procedure + proof (677.82 KB, application/x-bzip)
2012-09-03 05:04 EDT, Milan Falešník
no flags Details
/var/log/gofer/* & /var/log/audrey.log (5.15 KB, application/x-gzip)
2012-09-06 13:48 EDT, Milan Falešník
no flags Details

  None (edit)
Description Milan Falešník 2012-08-23 08:19:55 EDT
Description of problem:
When you have XML with services with parameters, you can change them at launch-time. But when you change them, nothing happens, original values are taken.

Version-Release number of selected component (if applicable):
aeolus-conductor-0.13.1-1.el6cf.noarch

How reproducible:
Always (at least on my machine)

Steps to Reproduce:
1. Have some deployable (blueprint) XML with services with parameters, ideally something visible well for debugging
2. Go into Administer / Content / <catalog>
3. Select desired deployable
4. Click Launch
5. Change any parameter you want
6. Click Finalize
  
Actual results:
Everything launches as normal (by first sight), but default values are taken instead of changed ones.

Expected results:
Launched instance with parameters changed.

Additional info:
Comment 1 James Laska 2012-08-23 11:37:06 EDT
Milan ... can you clarify the steps you are performing?

You are defining an application blueprint that includes <params> with non-empty default values.  When launching the application, you input different values through the web-ui.  After launching the application, the deployment didn't use your inputed values? 

Can you attach a screenshot of the launch parameter screen?  Additionally, can you attach appropriate files from the deployment that demonstrate the values used?  I believe you need /var/log/gofer* (and perhaps another log).

Also, can you include the version of audrey-configserver being used?
Comment 2 Milan Falešník 2012-09-03 05:04:34 EDT
Created attachment 609304 [details]
Images of the procedure + proof

pic 1) Showing the XML source
pic 2) Showing that I've removed my public key id_rsa.pub from JENKINS_SSH_KEY_LOCATION
pic 3) But the key was copied anyway (and I logged in without pw)
Comment 3 James Laska 2012-09-06 08:14:39 EDT
This helps, thanks Milan.  There are a few more pieces of info that will still be helpful.  Can you please include the following ...

> Additionally, can you attach appropriate files from the deployment that
> demonstrate the values used?  I believe you need /var/log/gofer* (and 
> perhaps another log /var/log/audrey*).

The gofer/audrey log from the application will show the scripts blueprint scripts being run, and include any of their stdout/stderr.

> Also, can you include the version of audrey-configserver being used?
Comment 4 Milan Falešník 2012-09-06 13:48:32 EDT
Created attachment 610443 [details]
/var/log/gofer/* & /var/log/audrey.log

Archive with:
audrey.log
gofer/agent.log

Note You need to log in before you can comment on or make changes to this bug.